package Gtk2::Ex::Sheet;

use 5.008;
use strict;
use warnings;

use Gtk2;

require DynaLoader;

our @ISA = qw(DynaLoader);

our $VERSION = '0.01';

# Do NOT make loaded symbols global; we don't have anything in this lib
# that we absolutely need to export, and we don't want to export anything
# else in case of future symbol conflicts.
#sub dl_load_flags { 0x01 }

bootstrap Gtk2::Ex::Sheet $VERSION;

# Preloaded methods go here.

1;
__END__

=head1 NAME

Gtk2::Ex::Sheet - A sheet widget for Gtk2-Perl

=head1 SYNOPSIS

  use Gtk2::Ex::Sheet;
  Gtk2->init;

  XXX write me

  Gtk2->main;

=head1 ABSTRACT

This module provides a spreadsheet-like widget for Gtk2-Perl programs.

=head1 DESCRIPTION

The GtkExtra project at http://gtkextra.sf.net contains several useful
widgets for advanced gtk+ programs.  However, the gtk+-2.0 port of the
library has apparently never been released from CVS.  This module provides
GtkExtra's GtkSheet widget, by including the C source for that widget
directly from GtkExtra CVS.

=head1 SEE ALSO

L<Glib>, L<Gtk2> and The GtkExtra homepage, http://gtkextra.sourceforge.net

=head1 AUTHOR

muppet <scott at asofyet dot org> wrote the perl bindings.
The GtkSheet widget comes from GtkExtra, and was written by Adrian Feiguin.

=head1 COPYRIGHT AND LICENSE

This binding is Copyright (C) 2005 by muppet <scott at asofyet dot org>.

The GtkSheet widget is Copyright (C) 1999-2001 Adrian E.
Feiguin <adrian at ifir.ifir.edu.ar>
Based on GtkClist widget by Jay Painter, but major changes.

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.

=cut
