#/usr/bin/perl -w

use strict;
use Glib qw(TRUE FALSE);
use Gtk2 -init;
use Gtk2::Ex::Sheet;

my $window = Gtk2::Window->new;
$window->signal_connect (destroy => sub {Gtk2->main_quit});
$window->set_title ("Simple Sheet Example");
$window->set_default_size (320, 240);

my $vbox = Gtk2::VBox->new;
$window->add ($vbox);

my $scrolled_window = Gtk2::ScrolledWindow->new;
$vbox->add ($scrolled_window);

my $sheet = Gtk2::Ex::Sheet->new (10, 5, "Dummy title");
$scrolled_window->add ($sheet);

my @titles = qw(One Two Three Four Five Six Seven Eight Nine Ten);

foreach my $row (0..$sheet->maxrow) {
	$sheet->set_cell ($row, 0, 'left', $titles[$row]);
	foreach my $column (1..$sheet->maxcol) {
		$sheet->set_cell ($row, $column, 'right',
				  sprintf '%.3f', $row * $column / 1.23614);
	}
}

my $firstcol = Gtk2::Ex::Sheet::Range->new (0,0, $sheet->maxrow, 0);
## for some reason i can't get a valid font description that actually
## changes the font...
#$sheet->range_set_font ($firstcol,
#			Gtk2::Pango::FontDescription->from_string ('Sans'));

$sheet->range_set_border ($firstcol, 'right', 2, 'solid');


my $hbox = Gtk2::HBox->new;
$vbox->pack_start ($hbox, FALSE, FALSE, 0);

my $button = Gtk2::ToggleButton->new ('Column Titles');
$button->set_active (TRUE);
$button->signal_connect (toggled => sub {
	if ($_[0]->get_active) {
		$sheet->show_column_titles;
	} else {
		$sheet->hide_column_titles;
	}
});
$hbox->pack_start ($button, FALSE, FALSE, 0);

$button = Gtk2::ToggleButton->new ('Row Titles');
$button->set_active (TRUE);
$button->signal_connect (toggled => sub {
	if ($_[0]->get_active) {
		$sheet->show_row_titles;
	} else {
		$sheet->hide_row_titles;
	}
});
$hbox->pack_start ($button, FALSE, FALSE, 0);

$button = Gtk2::ToggleButton->new ('Grid Lines');
$button->set_active (TRUE);
$button->signal_connect (toggled => sub {
	$sheet->show_grid ($_[0]->get_active);
});
$hbox->pack_start ($button, FALSE, FALSE, 0);

$button = Gtk2::ToggleButton->new ('Editable');
$button->set_active (TRUE);
$button->signal_connect (toggled => sub {
	$sheet->range_set_editable
			(Gtk2::Ex::Sheet::Range->new
				    (0, 0, $sheet->maxrow, $sheet->maxcol),
			 $_[0]->get_active);
	$sheet->get_entry->set_cursor_visible (!$_[0]->get_active);
});
$hbox->pack_start ($button, FALSE, FALSE, 0);

$window->show_all;
Gtk2->main;
